<template>
  <section id="app" class="hero is-fullheight" :class="$class" :style="$style">
    <hero-head></hero-head>
    <hero-body></hero-body>
    <hero-foot :settings="settings"></hero-foot>
  </section>
</template>

<script>
import {background, themes} from './utilities/static_settings.js'
import {bus} from './utilities/bus.js'

import heroHead from './components/layout/heroHead'
import heroBody from './components/layout/heroBody'
import heroFoot from './components/layout/heroFoot'

require ("./assets/fonts/basic/style.css")
require ("./assets/fonts/basicfill/style.css")
require ("./assets/fonts/weather/style.css")
require ("./assets/styles/main.sass")

export default {
  name: 'app',
  components: {
    heroHead,
    heroBody,
    heroFoot
  },
  data:function(){
    return{
      settings:{
        background: background,
        themes: themes
      }
    }
  },
  created: function(){
    bus.$on('settings-change',this.settingsChange);
  },
  methods:{
    settingsChange: function(input){
    var setting = this.settings[input.input];
    var i ;
      for (i in setting){
        setting[i].active= (setting[i].name === input.value) ? true : false;
      }
    }
  },
  computed: {
    $style: function() {
      var background = this.settings.background;
      return {
        'background': `linear-gradient(${background.color}, ${background.color}), url(${background.image}), ${background.repeat}, ${background.position}`
      }
    },
    $class: function(){
      var themes = this.settings.themes;
       var current = themes.filter((item) => {
        return item.active === true
      });
      return current[0].name
    }
  }
}
</script>

<style lang="sass">
#app
  background-size: cover

</style>
